Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

OS 1.0.6.2364 BETA Released

[ Edited ]

With 1.0.6.2364 being released, IF there are application issues, what is the suggested procedure and target development environment?

 

  • FB 4.5 has AIR SDK 2.7.  Do we use that with out the work around parameter values?
  • Do we upload new versions of the apps under AIR 2.7 and is App World configured to target 1.0.6?

 

Just finished downloading OS, now rebooting...

Developer
Posts: 231
Registered: ‎05-03-2011
My Device: PlayBook V1 and proud of it :-)
My Carrier: Legs

Re: OS 1.0.6.2364 Released

ok my playbook still saying 1.0.5.2342 is up todate, are you saying 1.0.6 uses air 2.7 this means we need an sdk update

Keep the Forum productive and useful for all. Click Kudos button if I've helped you. Select Solved to help everyone.

PlayBook qualifying app - Pandoras' Lights
Blog - CoCopia.co.uk Catch me on Twitter cocopia_apps
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30

Re: OS 1.0.6.2364 Released

1.0.6 was only released for participants of the beta-program!

-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612
Developer
Posts: 249
Registered: ‎11-02-2010
My Device: PlayBook
My Carrier: -

Re: OS 1.0.6.2364 Released

Hello,

  yes, OS 1.0.6 includes AIR 2.7 which is 4 times faster when executing Flex/Spark content !

And I would *assume* that with next FlashBuilder update (4.5.X) - expected in a few days - developpement will be directly supported on PlayBook 1.0.6, with no monkey patch...

Any confirmation is welcome, indeed.

JC
Highlighted
Developer
Posts: 110
Registered: ‎10-31-2010
My Device: Blackberry Torch 9800
My Carrier: Bell Mobility

Re: OS 1.0.6.2364 Released

I downloaded it last night and ran some tests this am.  It fixes most of the GPS errors I've been having with Pilotview but is slightly slower than 1.05.  I suspect they have given us a debug version so the can easily find errors they vet from us.  I'm anxious to test out some of the new 2.7 APIs.    

Best regards,

Brent

If you found my post helpful, please thank me with a Kudo. Thanks!
Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: OS 1.0.6.2364 Released

[ Edited ]

Just looking for some guidance from RIM regarding changes made because of 1.0.6 beta.  Do we:

  1. Make the fixes and upload to vendor portal ASAP so it is available for the official release?
  2. Does it require a 1.0.6 target in vendor portal (right now only 1.0.0 is available)?
  3. If we release now, do we assume it will work for OS1.0.5?
  4. Will updates be approved by 1.0.6 release?
  5. Will there be a SDK update involved in this or was SDK 1.0.2 it?
  6. Does OS 1.0.6 need to be compiled against AIR SDK 2.7 or will SDK 2.5 be OK?
  7. Will a QNX SDK be available to work with FB4.5 without the kludges in parameters?

Basically, I am looking for a dependency chart/list.

For example:

  • OS 1.0.6
    • FB 4.5, use AIR 2.7, QNX SDK 1.0.2
    • FB 4.0, use AIR 2.5, QNX SDK 1.0.2
    • etc.

 

 

BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: OS 1.0.6.2364 Released

I'm looking into these now.

 

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: OS 1.0.6.2364 Released

[ Edited ]

jtegen wrote:

Just looking for some guidance from RIM regarding changes made because of 1.0.6 beta.  Do we:

  1. Make the fixes and upload to vendor portal ASAP so it is available for the official release?
  2. Does it require a 1.0.6 target in vendor portal (right now only 1.0.0 is available)?
  3. If we release now, do we assume it will work for OS1.0.5?
  4. Will updates be approved by 1.0.6 release?
  5. Will there be a SDK update involved in this or was SDK 1.0.2 it?
  6. Does OS 1.0.6 need to be compiled against AIR SDK 2.7 or will SDK 2.5 be OK?
  7. Will a QNX SDK be available to work with FB4.5 without the kludges in parameters?

Basically, I am looking for a dependency chart/list.

For example:

  • OS 1.0.6
    • FB 4.5, use AIR 2.7, QNX SDK 1.0.2
    • FB 4.0, use AIR 2.5, QNX SDK 1.0.2
    • etc.

 

 


Here we go...

 

1.  Yes, do this.  Smiley Happy

2.  1.0.6 was just added to the vendor portal.  You should see it now.

3.  Best never to assume... but applications built in the 1.0.2 SDK should be compatible with both 1.0.5 and 1.0.6.

4.  Can't be specific on time lines here because each app may be different and will depend on when you submit it relative to the public 1.0.6 release..  This would be our goal though.

5.  

6.  AIR 2.5 is OK on 1.0.6.  But applications compiled against AIR 2.7 won't run on 1.0.5 or lower.

7.  Yes.

 

The version of Flash Builder used won't affect compatibility.  The version of AIR does however.  Applications built using AIR 2.7 will require PlayBook OS version 1.0.6 and higher.  1.0.6 will support applications built in AIR 2.5.  Basically applications should be compatible with newer OS releases.  But applications built in current/newer SDKs may not be compatible with older OS releases (similar to how it works for Java applications on BlackBerry Smartphones).  

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 439
Registered: ‎10-25-2010
My Device: Not Specified

Re: OS 1.0.6.2364 Released

[ Edited ]

So how are we supposed to handle this when pushing new versions?

 

If I puahs a new version  that uses AIR 2.7, will AppWorld allow users of the older OS to install my last published version that supported 2.5??

 

Or do we just target 2.7, and the user will be notified somehow to upgrade their OS when they try and download our app?

 

I wouldn't want to hurt my sales by forcing people to download a 330mb file, before downloading my 1mb app Smiley TongueI I guess the best bet would be to wait a couple weeks until after it's gone public, and then release?

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: OS 1.0.6.2364 Released

In theory, if in app world you have an upgrade that targets a particular minimum OS version, then that user would not be notified or be able to download that version of the app. However, since this is the first time we have a target OS to select and this is a new device, we will see if this has been properly developed and tested by RIM. Since 1.0.6 will probably be released in about a week and it will probably take that long for an app to get re-reviewed in app world, uploading it by Monday will probably give you enough time to make certain the OS is out before your app is.